1.0

1.0

get /v1/container-registries

Description

Registry 목록 조회

상태 ACTIVE (SUPPORTED)

버전최소 지원 보장일
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
querysort
optional
sort
Example : name:asc
any of [string, null]None
querypage
optional
page
Example : 0
any of [integer, null]None
querysize
optional
size
Example : 20
any of [integer, null]None
queryname
optional
Registry명
Example : sample
any of [string, null]None
querystate
optional
Registry 상태
Example : Running
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKContainerRegistryListResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/container-registries

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = scr 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "registries": [
        {
            "account_id": "617b3d0e90c24a5fa1f65a3824861354",
            "bucket_name": "4663afe94e7c4a2099968d90064ce218.scr.{region}.zgpsrpup",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "id": "0fdd87aab8cb46f59b7c1f81ed03fb3e",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "sample",
            "private_domain": "sample.scr.private.{region}.{environment}.samsungsdscloud.com",
            "public_domain": "sample.scr.{region}.{environment}.samsungsdscloud.com",
            "public_visible_enabled": true,
            "state": "Running"
        }
    ]
}